{
  "schema_version": "1.4.0",
  "id": "GHSA-6942-qcvw-qmh7",
  "modified": "2022-05-13T01:06:53Z",
  "published": "2022-05-13T01:06:53Z",
  "aliases": [
    "CVE-2018-14576"
  ],
  "details": "The mintTokens function of a smart contract implementation for SunContract, an Ethereum token, has an integer overflow via the _amount variable.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-14576"
    },
    {
      "type": "WEB",
      "url": "https://github.com/SunContract/SmartContracts/issues/1"
    },
    {
      "type": "WEB",
      "url": "https://etherscan.io/address/0xF4134146AF2d511Dd5EA8cDB1C4AC88C57D60404#code"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2018/Jul/93"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-08-03T18:29:00Z"
  }
}